Skip to content
Documentation
Explore guides

For administrators

Resources

List, create, show, update, and delete resources in the company.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all resources

GET /api/v3/resources

Results are paginated. Pass page to move through pages of 50 records.

Response 200

[
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "office_id": "795c7a6e-cfb7-4883-bef8-2fb380de92c8",
    "office_name": "The office",
    "active_schedule": "Schedule morning",
    "name": "Car",
    "colour": "green",
    "icon": "cake"
  },
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "office_id": "795c7a6e-cfb7-4883-bef8-2fb380de92c8",
    "office_name": "The office",
    "active_schedule": "Schedule default",
    "name": "Computer",
    "colour": "blue",
    "icon": "home"
  }
]

Create a resource

POST /api/v3/resources

Request

{
  "name": "New resource",
  "office_id": "795c7a6e-cfb7-4883-bef8-2fb380de92c8",
  "colour": "red",
  "icon": "megaphone"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "office_id": "795c7a6e-cfb7-4883-bef8-2fb380de92c8",
  "office_name": "The office",
  "active_schedule": null,
  "name": "New resource",
  "colour": "red",
  "icon": "megaphone"
}

Show a resource

GET /api/v3/resources/{resource_id}

Parameter Type Description
resource_id string (UUID) Resource id.

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "office_id": "795c7a6e-cfb7-4883-bef8-2fb380de92c8",
  "office_name": "The office",
  "active_schedule": "Schedule morning",
  "name": "Car",
  "colour": "green",
  "icon": "cake"
}

Update a resource

PUT /api/v3/resources/{resource_id}

Request

{
  "name": "Updated resource",
  "office_id": "795c7a6e-cfb7-4883-bef8-2fb380de92c8",
  "colour": "yellow",
  "icon": "bell"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "office_id": "795c7a6e-cfb7-4883-bef8-2fb380de92c8",
  "office_name": "The office",
  "active_schedule": "Schedule morning",
  "name": "Updated resource",
  "colour": "yellow",
  "icon": "bell"
}

Delete a resource

DELETE /api/v3/resources/{resource_id}

Response 200

{}